% Functions for Filter Analysis and Design
%
% * help <function name> for more information.
%
%
% The following routines calculates poles for filters.
%
% besspol  - Calculates the poles for an nth order
%            Bessel filter.
%
% buttpol  - Calculates the poles for an nth order
%            Butterworth filter.
%
% chebpol  - Calculates the poles for an nth order
%            Chebyshev filter.
%
%
% The following routines calculates compontent
% values for low-pass ladder filters.
%
% buttladd - Calculates ladder filter elements for an nth order
%            Butterworth filter.
%
% chebladd - Calculates ladder filter elements foran nth order
%            Chebyshev filter.

% 1997-10-25 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1997. All rights reserved.

