function [renorm]=renorm(G,oldZ0,newZ0);
% renorm
% renorm(G,oldZ0,newZ0) converts the reflection coeff.
% to a normalized impedance, denormalizes it with oldZ0,
% renormalizes it with newZ0 and calculates the
% corresponding refl. coeff.
% Optional frequency column supported.

% 1994 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1994. All rights reserved.

renorm=z2g(g2z(G,oldZ0),newZ0);
