function [s2t]=s2t(s);
% s2t
% s2t(s) converts S-parameters to chain scattering
% parameters (T).
% Format: T=[T11,T21,T12,T22].
% Optional frequency data in s(:,5) is copied into t(:,5).

% copy to get the optional frequency data in s(:,5)
s2t=s; s2t(:,1)=1./s(:,2);
s2t(:,2)=s(:,1)./s(:,2);
s2t(:,3)=-s(:,4)./s(:,2);
s2t(:,4)=s(:,3)-s(:,1).*s(:,4)./s(:,2);
