function [sgpu]=sgpu(s,gammaL);
% sgpu
% sgpu(s,gammaL) returns the unilateral operating (power) gain
% for a two-port specified with its S-parameters
% (s=[s11,s21,s12,s22]) and a reflection coefficient for the
% load (gammaL). Actually s12 is forced to zero before calling
% sGp (bilateral operating gain).
stemp=s;
stemp(:,3)=0.*stemp(:,3); % force s12 to zero
sgpu=sgp(stemp,gammaL);
