function [sgtumax]=sgtumax(s);
% sgtumax
% sgtumax(s) returns the unilateral maximum transducer (power) gain for
% a two-port specified with its S-parameters (s=[s11,s21,s12,s22]).
% , ie gammaS=conj(s11) and gammaL=conj(s22).
sgtumax=abs(s(:,2)).^2./((1-abs(s(:,1)).^2).*(1-abs(s(:,4)).^2));
