function [smnew]=smnew();
% smnew
% smnew is a low-level routine for smnewz and smnewy.
% smnew creates a new window for a Smith chart and returns the handle
% to the window. Axes are drawn for the reflection coefficient.
% No grid lines are drawn for impedance or admittance.

% 1998-05-22 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1998. All rights reserved.

h=figure;
hold on;
axis('equal');
coord=[-1,1,-1,1];
axis(coord);
set(gca,'userdata',1); % Protect against delete command by setting userdata to 1
set(gca,'visible','off');
smnew=h;
