function [smnewz]=smnewz();
% smnewz
% smnewz creates a new window with a Z-Smith chart and returns the
% handle to the window. Grid lines are drawn for r=0,0.2,0.5,1,2,5
% and x=[0.2,0.5,1,2,5,-0.2,-0.5,-1,-2,-5].

% 1998-05-22 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1998. All rights reserved.


smnewz=smnew;
set(gca,'drawmode','fast');
drawrci([0,0.2,0.5,1,2,5]');
drawxci([0.2,0.5,1,2,5]');
drawxci(-[0.2,0.5,1,2,5]');
plotc([-1;1]);
