function [sufmxmm]=sufmxmm(s,gammaS,gammaL);
% sufmxmm
% sufmxmm(s,gammaS,gammaL) returns the minium and
% maximum of Gt/Gtu using the unilateral approximation 
% for a two-port with arbitrary source and
% load reflection coefficients ("gammaS" and "gammaL").
% The two-port is specified with its S-parameters
% (s=[s11,s21,s12,s22]).
X=sufmx(s,gammaS,gammaL);
sufmxmm=[1./(1+abs(X)).^2,1./(1-abs(X)).^2];
