% demo5

% Unilateral maximum  gain. 
% Conjugate match and operating power gain with unilateral aproximation.
% BFR520 (Ic = 5 mA, Vce = 3 V)
% operating frequency 1.8 GHz


% Read S-parameters
s=readspar('bfr520b.s2p');
s1=s(15,:);

% Calculation of the unilateral maximum transducer gain in dB at 1.8 GHz
gtumax=dbp(sgtumax(s1))

% Calculation of source and load impedance for conjugate match with the
% unilateral aproximation
Zsmat=g2z(s1(1),50)
Zlmat=g2z(s1(4),50)

% Unilateral operating power gain in dB, when Zl = 50 
gaml=0;
Gp=dbp(sgpu(s1,gaml))
