% demo9

% Conversion of S parameters of a transistor 
% from common-emitter to common-base
% BFR520 (Vce = 6V, Ic = 10mA)


% Read S-parameters
s=readspar('bfr520i.s2p');


% S-parameters to normalised Y-parameters
y=s2ny(s);

% Common emitter Y-parameters to common base Y-parameters
ycb=ye2yb(y);

% normalised Y-parameters to S-parameters
scb=ny2s(ycb);