function [nz2g]=nz2g(nz);
% nz2g
% nz2g(nz) calculates the reflection coefficient from
% the normalized impedance "z".
% Optional frequency column nz(:,2) is copied into nz2g(:,2)

% 1994 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1994. All rights reserved.

nz2g=nz; % copy to get the optional frequency column nz(:,2).
nz2g(:,1)=(nz(:,1)-1)./(nz(:,1)+1);
