function [psend]=psend();
% psend
% psend() completes a postscript collection session by
% copying the last part of the embedfile to targetfile
% and finally closes the files.

% 1997-01-13 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1997. All rights reserved.

% Define global variables
global daeembedfileid
global daetargetfileid
global daepscollectactive

fprintf(daetargetfileid,'%s\n\n','grestore');
fprintf(daetargetfileid,'%s\n','% ***end of daelib postscript code');

% Copy rest of embed file to target file

err=0;
while err==0
	templine=fgets(daeembedfileid);
	[message,err]=ferror(daeembedfileid);
   if err==0
      		fprintf(daetargetfileid,'%s',templine);
	end
end

if ~feof(daeembedfileid)
	fprintf(message);
end

daepscollectactive=0;

% Finally close the files
fclose(daeembedfileid);
fclose(daetargetfileid);

