function [pspatch]=pspatch(x,y,patchcolor);
% pspatch
% pspatch(x,y,patchcolor)
% Similar to patch.m (a MATLAB built-in function).
% Currently not supported: patchcolor

% 1997-01-15 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1997. All rights reserved.

% Define global variables
global daetargetfileid

fprintf(daetargetfileid,'newpath\n');

fprintf(daetargetfileid,'%1.5g %1.5g sc mt\n', x(1,1),y(1,1));

n=length(x);
for k=2:n,
	fprintf(daetargetfileid,'%1.5g %1.5g sc lt\n',x(k,1),y(k,1));
end

fprintf(daetargetfileid,'fill\n\n');

[message,err]=ferror(daetargetfileid);

if err~=0
	sprintf(message);
end
