function [sgamsmat]=sgamsmat(s);
% sgamsmat
% sgamsmat(s) returns the source reflection coefficient
% for simultaneous conjugate match for a two-port specified
% with its S-parameters (s=[s11,s21,s12,s22]).
% Note that the solution given is only valid for an
% unconditionally stable two-port (K>1, abs(delta)<1).
sgamsmat=(sb1(s)-sqrt(sb1(s).^2-4.*abs(sc1(s)).^2))./(2.*sc1(s));
