function [yb2ye]=yb2ye(yb);
% yb2ye
% yb2ye(yb) converts y-parameters for a common base/gate
% stage to y-parameters for a common-baemitter/source stage
% Optional frequency data in ub(:,5) is copied into ye(:,5).

% copy to get the optional frequency data in yb(:,5)
yb2ye=yb;
yb2ye(:,1)=yb(:,1)+yb(:,3)+yb(:,2)+yb(:,4);
yb2ye(:,2)=-(yb(:,2)+yb(:,4));
yb2ye(:,3)=-(yb(:,3)+yb(:,4));
yb2ye(:,4)=yb(:,4);
